jQuery.sap.declare("sas.stress.wkbench.StressRouter");
jQuery.sap.require("sas.risk.common.utils.Router");
jQuery.sap.require("sas.stress.wkbench.UserPrefs");

sas.risk.common.utils.Router.extend("sas.stress.wkbench.StressRouter",{
	constructor: function() {
		sas.risk.common.utils.Router.apply(this, arguments);
	}
});

sas.stress.wkbench.StressRouter.prototype.fireExactRouteMatched=function(name,args) {

	sas.risk.common.utils.Router.prototype.fireExactRouteMatched.apply(this, arguments);

	var preferredProject=sas.stress.wkbench.UserPrefs.get("sas.stress.wkbench.project_key");
	if(name==="Default" && preferredProject){
		var that = this;
		// Go to HomePage only when the project still exists
		sas.stress.wkbench.StressAPI.loadProject(preferredProject).done(function () {
			that.navTo("HomePage",{projectId:preferredProject},false);
		}).fail(function (jqxhr) {
			// Commenting this out for HF3 only S1341101;
			//sas.stress.wkbench.StressUtil.handleServerFailure(jqxhr);
		});
	}
	return this;
};
