
EXECUTE (CREATE TABLE &SCHEMA.DPM_VALIDATION (
     EXPRESSION_ID        NUMBER(10) NOT NULL,
     VALIDATION_CD        VARCHAR2(10) NOT NULL,
     DATA_POINT_CD        VARCHAR2(20) NOT NULL,
     TABLE_VERSION_ID     NUMBER(10) NOT NULL,
     TAXONOMY_ID          NUMBER(10) NOT NULL,
     SHEET_ID             NUMBER(10),
     COLUMN_ID            NUMBER(10) NOT NULL,
     ROW_ID               NUMBER(10) NOT NULL,
     TEMPLATE_ID          NUMBER(10) NOT NULL,
     EXPRESSION_TYPE_CD   VARCHAR2(30),
     VALIDATION_TYPE_CD   VARCHAR2(30),
     TABLE_BASED_FORMULA_VAL CLOB,
     LOGICAL_EXPRESSION_VAL CLOB,
     VALIDATION_SEVERITY_CD VARCHAR2(20),
     EFFECTIVE_TO_DT      DATE,
     EFFECTIVE_FROM_DT    DATE,
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (EXPRESSION_ID, VALIDATION_CD, DATA_POINT_CD,
      TABLE_VERSION_ID, TAXONOMY_ID)
)) BY ORACLE;
