/*
Copyright (C) 2017 SAS Institute Inc. Cary, NC, USA

name: ssr_batch_import_pkg.sas

This SAS code runs the create Filing package in batch mode

*/


%ssrinit;

%ssr_postinit;


filename nodelib "&ssr_install_path./ssrsvr/sasstp"; /*i18NOK:LINE */

%include nodelib(ssr_stp_import_filing_package.sas) / lrecl=6000;

%let batch_mode_flg=Y;
%let la_sdata_loc=&ssr_data_location./datamarts/landing/eba_finrep_gaap.sas7bdat;
%let sel_pkg=SSR_BATCH_TEST- [LEI001|EUR|January 13, 2016|COREP 2015-A|COREP_IND];


%macro check_execute_import_package;

   %if 
      %sysevalf(%superq(la_sdata_loc)=,boolean) eq 0 and 
      %sysevalf(%superq(sel_pkg)=,boolean) eq 0 
   %then %do;

      %put %sysfunc(sasmsg(sashelp.ssrmsg, 51, NOQUOTE));

      %ssr_stp_import_filing_package;

   %end;
   %else %do;

      %put %sysfunc(sasmsg(sashelp.ssrmsg, 52, NOQUOTE));

   %end;

%mend check_execute_import_package;

%check_execute_import_package;
