/*
Copyright (C) 2017 SAS Institute Inc. Cary, NC, USA

Name: ssr_config_data_load.sas

This is the ddl for creating the SSR Config tables SAS datasets.
NOTE: &LIBREF. refers to the Library used to store SSR_CONF data

Purpose: This macro will lay all SSR Configuration tables in SAS datasets.

*/

%let LIBREF=SSR_CONF;

%ssrinit;

%ssr_postinit;

filename nodelib "&ssr_sasmisc_path./controlscripts/data/config"; /*i18NOK:LINE */

%include nodelib(ssr_config_master_data.sas) / lrecl=6000;
