/*
Copyright (C) 2017 SAS Institute Inc. Cary, NC, USA

name: ssr_la_call_ddl_load.sas

This is the ddl for creating the SSR Landing Area table. Eg. EBA_FINREP_GAAP.
NOTE: &LIBREF. refers to the Library used to store SSR Landing Area data.
      &REGULATOR , &FRAMEWORK , &MODULE should be appropiately set

*/

%macro ssr_la_call_ddl_load(LIBREF=,REGULATOR=,MODULE=);

%let NLDTTMFMT=NLDATM21.;
%let NLDTFMT=NLDATE.;

filename nodelib "&ssr_sasmisc_path./ddl/landing"; /*i18NOK:LINE */

%include nodelib(landing_area_table.sas) / lrecl=6000;

%mend ssr_la_call_ddl_load;
