/*
Copyright (C) 2017 SAS Institute Inc. Cary, NC, USA

name: ssr_la_ddl_load.sas

This is the ddl for creating the SSR Landing Area table. Eg. EBA_FINREP_CON_GAAP.
NOTE: &LIBREF. refers to the Library used to store SSR Landing Area data.
      &REGULATOR and &MODULE should be appropiately set

*/


%ssrinit;

%ssr_postinit;

%ssr_la_call_ddl_load(LIBREF=SSR_LA,REGULATOR=EBA,MODULE=FINREP_CON_IFRS);
%ssr_la_call_ddl_load(LIBREF=SSR_LA,REGULATOR=EBA,MODULE=COREP_LE_CON);
%ssr_la_call_ddl_load(LIBREF=SSR_LA,REGULATOR=EBA,MODULE=SBP_CON);
%ssr_la_call_ddl_load(LIBREF=SSR_LA,REGULATOR=EBA,MODULE=FP_IND);
%ssr_la_call_ddl_load(LIBREF=SSR_LA,REGULATOR=EBA,MODULE=AE_CON);
