jQuery.sap.declare("sas.stress.wkbench.StressFixes");

jQuery.sap.require("sas.hc.m.StandardListItem");
jQuery.sap.require("sap.ui.model.json.JSONModel");
jQuery.sap.require("sas.hc.ui.table.TreeTable");
jQuery.sap.require("sas.hc.ui.table.Table");

sas.stress.wkbench.StressFixes = {};

// TODO: This fix is sort of taking a big, ugly problem in Firefox and "sweeping it under the rug". Really, it would
// be best to determine WHY this was ever an issue; however, we currently never care about read/unread rows in Stress,
// so it seems OK to simply remove this for now. At the time of this kludgey workaround, this issue has already
// taken up too much dev time.
// Note: this particular workaround was taken from FormControlListItem.js.
sas.hc.m.StandardListItem.prototype._markUnreadRows = function (that, jQueryThat) {
    return false; // Fix incompatible issue with StandardListItem-A11Y
};

//TEMPORARY FIX for busted HC treetable code
sas.hc.ui.table.TreeTable.prototype.hasPopin = function () {
    return false;
};
sas.hc.ui.table.TreeTable.prototype.getAllowReflow = function () {
    return false;
};

/**
 * Subclass of JSONModel that overrides the default size limit (100) with
 * Number.MAX_VALUE. (Fix for S1245423)
 *
 * @name sas.stress.wkbench.model.RiskJSONModel
 */
sap.ui.model.json.JSONModel.extend("sas.stress.wkbench.model.RiskJSONModel", {
    constructor: function (oData) {
        sap.ui.model.json.JSONModel.apply(this, arguments);
        this.setSizeLimit(Number.MAX_VALUE);
    }
});


sas.hc.ui.table.Table.prototype._initTableReflowSetting = function() {
    //safest to do nothing here
};