/*-- Copyright (c) 2017 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --*/ 
/*
SAS Supervisory Reporting - Configuration
CONTENT_META 
Model Version 
Macro Name    content_meta.sas
DBMS          SAS

* Copyright (c) 2017 by SAS Institute Inc., Cary, NC 27513
*/

 
PROC SQL NOPRINT;
   CREATE TABLE &LIBREF..CONTENT_META (
      CONTENT_TYPE              VARCHAR(32) NOT NULL label="Content Type",
      LA_LIBREF                 VARCHAR(32) label="Landing Area Libref for Content Type",
      LA_DDL_PATH               VARCHAR(1024) label="Landing Area ddl Path",
      LA_DDL_FILENAME           VARCHAR(32) label="Landing Area ddl filename",
      LA_LIB_PATH               VARCHAR(1024) label="Landing Area data Path",
      REG_DPM_LIBREF            VARCHAR(32) label="Regulatory DPM Libref for Content Type",
      REG_DPM_LIB_PATH          VARCHAR(1024) label="Regulatory DPM data Path for Content Type",
      REG_TMP_LIBREF            VARCHAR(32) label="Intermediate Libref for Content Type",
      REG_TMP_LIB_PATH          VARCHAR(1024) label="Intermediate data Path for Content Type",
      REPORT_PATH               VARCHAR(1024) label="Report Path for Content Type",
      TAXONOMY_PATH             VARCHAR(1024) label="Taxonomy Path for the Content Type"
);
QUIT;



