/*-- Copyright (c) 2017 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --*/ 
/*
SAS Supervisory Reporting - Configuration
XBRL_CONFIGURATION
Model Version 
Macro Name    xbrl_configuration.sas
DBMS          SAS

* Copyright (c) 2017 by SAS Institute Inc., Cary, NC 27513
*/

 
PROC SQL NOPRINT;
   CREATE TABLE &LIBREF..XBRL_CONFIGURATION (
      OWNER_CD               VARCHAR(20) NOT NULL label="Owner Code",
      XBRL_CONFIG_NM              VARCHAR(250) label="XBRL Configuration Name",
      XBRL_CONFIG_VAL               VARCHAR(500) label="XBRL Configuration Value", 
     XBRL_CONFIG_DESC               VARCHAR(100) label="XBRL Configuration Description"  
);
QUIT;