
EXECUTE (CREATE TABLE &SCHEMA.DPM_VALIDATION (
     EXPRESSION_ID        NUMERIC(10)     NOT NULL,
     VALIDATION_CD        VARCHAR(10)     NOT NULL,
     DATA_POINT_CD        VARCHAR(20)     NOT NULL,
     TABLE_VERSION_ID     NUMERIC(10)     NOT NULL,
     TAXONOMY_ID          NUMERIC(10)     NOT NULL,
     SHEET_ID             NUMERIC(10),
     COLUMN_ID            NUMERIC(10)     NOT NULL,
     ROW_ID               NUMERIC(10)     NOT NULL,
     TEMPLATE_ID          NUMERIC(10)     NOT NULL,
     EXPRESSION_TYPE_CD   VARCHAR(30),
     VALIDATION_TYPE_CD   VARCHAR(30),
     TABLE_BASED_FORMULA_VAL VARCHAR(5000),
     LOGICAL_EXPRESSION_VAL VARCHAR(5000),
     VALIDATION_SEVERITY_CD VARCHAR(20),
     EFFECTIVE_TO_DT      DATE,
     EFFECTIVE_FROM_DT    DATE,
     PROCESSED_DTTM       TIMESTAMP     NOT NULL,
     PRIMARY KEY (EXPRESSION_ID, VALIDATION_CD, DATA_POINT_CD,
      TABLE_VERSION_ID, TAXONOMY_ID)
)) BY POSTGRES;
