/* Copyright (C) 2017 SAS Institute Inc. Cary, NC, USA

Name: ssr_config_ddl_load.sas

This is the ddl for creating the SSR Configuration tables in SAS datasets.
NOTE: &LIBREF. refers to the Library used to store SSR CONF data.

Purpose: This macro will lay all SSR Configuration tables in SAS datasets.

*/


%ssrinit;

%ssr_postinit;

%let LIBREF = ssr_conf;

filename nodelib "&ssr_sasmisc_path./ddl/config"; /*i18NOK:LINE */

%include nodelib(ssr_config_master_ddl.sas) / lrecl=6000;
