/***********************************************************************
 * Copyright (c) 2017 by SAS Institute Inc., Cary, NC, USA.            *
 *                                                                     *
 * NAME:          ssr_create_params                                    *
 *                                                                     *
 * PURPOSE:       Creates macro variables for SAS Supervisory Reporting*
 *                from configuration datasets                          *
 *                                                                     *
 * USAGE:         %ssr_create_params                                   *
 *                                                                     *
 * PARAMETERS:    <libname>.<dataset name>                             *
 *                                                                     *
 *                                                                     *
 **********************************************************************/
 
 %macro ssr_create_params(config_dset=SSR_CONF.SYSTEM_OPTIONS);
 
 data _null_;
 set &config_dset.;
 call symputx(OPTION_NAME ,OPTION_VALUE,"G");/*i18NOK:LINE */
 run; 
 
 %mend ssr_create_params;
