/*
Copyright (C) 2017 SAS Institute Inc. Cary, NC, USA

Name: ssr_sdm_ddl_load.sas

This is the ddl for creating the SSR SDM tables in SAS datasets.
NOTE: &LIBREF. refers to the Library used to store SSR SDM data.

Purpose: This macro will lay all SSR SDM tables in SAS datasets.

*/


%ssrinit;

%ssr_postinit;

filename nodelib "&ssr_sasmisc_path./ddl/ssrsdm"; /*i18NOK:LINE */

%include nodelib(ssr_sdm_master_ddl.sas) / lrecl=6000;

%ssr_sdm_master_ddl(LIBREF=SSR_SDM, DTTMFMT=NLDATM21., TMFMT=NLTIMAP11., DTFMT=NLDATEM., FMTRK=12., fileloc=&ssr_sasmisc_path./ddl/ssrsdm);
