
---
--    Copyright (c) 2014 by SAS Institute Inc., Cary, NC, USA.
--
---
--  Module:   string_utils
--  Purpose:  Utility functions for strings
--

local M = {}


--- Escape a SAS string value where the characters are given as input (not a general SAS syntax string but a string value)
function M.escape_sas_string_value(in_str)
   if in_str then
      local result = in_str
      result = string.gsub(result, '%%', '%%%%')
      result = string.gsub(result, "'", "%%'")
      result = string.gsub(result, '"', '%%"')
      result = string.gsub(result, '%(', '%%(')
      result = string.gsub(result, '%)', '%%)')
      return '%nrstr(' .. result .. ')'
   else
      return ""
   end
end


return M
